Bug 1572665 - [abrt] wait_for_completion_timeout: list_del corruption. prev->next should be 00000000b2ef70c2, but was (null) [NEEDINFO]
Summary: [abrt] wait_for_completion_timeout: list_del corruption. prev->next should be...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e59b057803b01596a02edae9a5a...
: 1572846 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 14:31 UTC by fuewbfuweibfiew
Modified: 2018-08-29 14:57 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 14:57:21 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (77.60 KB, text/plain)
2018-04-27 14:32 UTC, fuewbfuweibfiew
no flags Details

Description fuewbfuweibfiew 2018-04-27 14:31:57 UTC
Description of problem:
This happened after a previous error: watchdog: BUG: soft lockup - CPU#3 stuck for 23s! [Xorg:991]
And then CPU#1 entered a hard lockup. I then restarted the laptop manually by holding the power button, and then the error listed in this report occured. The OS still booted to the login screen though.

Additional info:
reporter:       libreport-2.9.3
list_del corruption. prev->next should be 00000000b2ef70c2, but was           (null)
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:53!
invalid opcode: 0000 [#1] SMP NOPTI
Modules linked in: ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat snd_hda_codec_realtek uvcvideo snd_hda_codec_hdmi snd_hda_codec_generic videobuf2_vmalloc snd_hda_intel videobuf2_memops videobuf2_v4l2 videobuf2_common snd_hda_codec arc4 videodev snd_hda_core rtl8723be btcoexist edac_mce_amd kvm_amd rtl8723_common rtl_pci btusb media snd_hwdep hp_wmi sparse_keymap kvm rtlwifi btrtl btbcm mac80211 btintel wmi_bmof bluetooth irqbypass cfg80211 crct10dif_pclmul ecdh_generic crc32_pclmul snd_seq snd_seq_device snd_pcm ghash_clmulni_intel
 rfkill snd_timer snd rtsx_pci_ms joydev memstick sp5100_tco k10temp fam15h_power soundcore wmi i2c_scmi shpchp tpm_crb tpm_tis tpm_tis_core hp_wireless video ccp tpm acpi_cpufreq i2c_piix4 amdgpu chash gpu_sched radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper ttm crc32c_intel drm serio_raw rtsx_pci r8169 mii
CPU: 3 PID: 672 Comm: kworker/3:3 Not tainted 4.16.3-200.fc27.x86_64 #1
Hardware name: HP HP Notebook /8130, BIOS F.17 04/12/2017
Workqueue: rtl8723be_pci rtl_c2hcmd_wq_callback [rtlwifi]
RIP: 0010:__list_del_entry_valid+0x73/0x90
RSP: 0018:ffffa44a4115bd68 EFLAGS: 00010086
RAX: 0000000000000054 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff95e13ed968f8 RDI: ffff95e13ed968f8
RBP: ffff95e1313a54d8 R08: 00000000000003e3 R09: 0000000000aaaaaa
R10: 0000000000000000 R11: 00000000ffffffff R12: ffff95e1313a54e0
R13: ffff95e1313a54e8 R14: ffffa44a4115bd88 R15: ffff95e1313a54e8
FS:  0000000000000000(0000) GS:ffff95e13ed80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055aaae929208 CR3: 000000021ec68000 CR4: 00000000000406e0
Call Trace:
 wait_for_completion_timeout+0x142/0x190
 ? wake_up_q+0x70/0x70
 halbtc_send_bt_mp_operation.constprop.19+0x81/0x90 [btcoexist]
 halbtc_set_bt_reg+0x4a/0x90 [btcoexist]
 ex_btc8723b1ant_bt_info_notify+0x2d1/0x6d0 [btcoexist]
 rtl_c2hcmd_launcher+0xbb/0x120 [rtlwifi]
 process_one_work+0x175/0x360
 worker_thread+0x2e/0x380
 ? process_one_work+0x360/0x360
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x22/0x40
Code: 90 e8 9c 9f cb ff 0f 0b 48 89 fe 48 c7 c7 10 fd 0d 90 e8 8b 9f cb ff 0f 0b 48 89 f2 48 89 fe 48 c7 c7 48 fd 0d 90 e8 77 9f cb ff <0f> 0b 48 c7 c7 88 fd 0d 90 e8 69 9f cb ff 0f 0b 90 90 90 90 90 
RIP: __list_del_entry_valid+0x73/0x90 RSP: ffffa44a4115bd68

Comment 1 fuewbfuweibfiew 2018-04-27 14:32:02 UTC
Created attachment 1427696 [details]
File: dmesg

Comment 2 Pradeep Kumar 2018-04-28 04:34:59 UTC
*** Bug 1572846 has been marked as a duplicate of this bug. ***

Comment 3 Wilhelm.Buchmueller 2018-06-25 15:09:24 UTC
Description of problem:
Approximately every other boot hangs on HP355.

Version-Release number of selected component:
kernel-core-4.16.3-200.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-200.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=de_AT.UTF-8
crash_function: wait_for_completion_timeout
kernel:         4.16.3-200.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel paging request at ffffffff88709700
IP: queued_spin_lock_slowpath+0x161/0x190
PGD 6e20e067 P4D 6e20e067 PUD 6e20f063 PMD 6d6001e1 
Oops: 0003 [#1] SMP NOPTI
Modules linked in: iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat edac_mce_amd kvm_amd kvm hp_wmi wmi_bmof sparse_keymap arc4 btusb rtl8723be btrtl btbcm btintel btcoexist irqbypass bluetooth crct10dif_pclmul rtl8723_common crc32_pclmul rtl_pci rtlwifi ghash_clmulni_intel mac80211 uvcvideo snd_hda_codec_realtek snd_hda_codec_generic videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common snd_hda_codec_hdmi videodev snd_hda_intel joydev snd_hda_codec snd_hda_core ecdh_generic media snd_hwdep snd_seq cfg80211 snd_seq_device k10temp fam15h_power snd_pcm rtsx_pci_ms memstick sp5100_tco i2c_piix4 snd_timer rfkill snd soundcore
 shpchp ccp wmi hp_accel lis3lv02d video acpi_cpufreq input_polldev hp_wireless amdgpu chash gpu_sched radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crc32c_intel ttm serio_raw r8169 uas drm usb_storage rtsx_pci mii
CPU: 2 PID: 220 Comm: kworker/2:2 Not tainted 4.16.3-200.fc27.x86_64 #1
Hardware name: Hewlett-Packard HP 355 G2/22C1, BIOS F.02 04/18/2014
Workqueue: rtl8723be_pci rtl_c2hcmd_wq_callback [rtlwifi]
RIP: 0010:queued_spin_lock_slowpath+0x161/0x190
RSP: 0018:ffffa5580095bd68 EFLAGS: 00010086
RAX: ffffffff88709700 RBX: 0000000000000000 RCX: ffff91579ed21740
RDX: 0000000000002526 RSI: 00000000949c74e0 RDI: ffff9157949c74e0
RBP: ffff9157949c74d8 R08: 00000000000c0000 R09: ffff915799cc2018
R10: 0000000000000000 R11: 0000000000000056 R12: ffff9157949c74e0
R13: ffff9157949c74e8 R14: ffffa5580095bd88 R15: ffff9157949c74e8
FS:  0000000000000000(0000) GS:ffff91579ed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffffffff88709700 CR3: 00000000bd15e000 CR4: 00000000000406e0
Call Trace:
 wait_for_completion_timeout+0x131/0x190
 ? wake_up_q+0x70/0x70
 halbtc_send_bt_mp_operation.constprop.19+0x81/0x90 [btcoexist]
 halbtc_set_bt_reg+0x4a/0x90 [btcoexist]
 ex_btc8723b1ant_bt_info_notify+0x2d1/0x6d0 [btcoexist]
 rtl_c2hcmd_launcher+0xbb/0x120 [rtlwifi]
 process_one_work+0x175/0x360
 worker_thread+0x2e/0x380
 ? process_one_work+0x360/0x360
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit_group+0x10/0x10
 ret_from_fork+0x22/0x40
Code: c3 f3 90 4c 8b 09 4d 85 c9 74 f6 eb d2 c1 ea 12 83 e0 03 83 ea 01 48 c1 e0 04 48 63 d2 48 05 40 17 02 00 48 03 04 d5 40 74 15 89 <48> 89 08 8b 41 08 85 c0 75 09 f3 90 8b 41 08 85 c0 74 f7 4c 8b 
RIP: queued_spin_lock_slowpath+0x161/0x190 RSP: ffffa5580095bd68
CR2: ffffffff88709700

Comment 4 Justin M. Forbes 2018-07-23 14:58:15 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2018-08-29 14:57:21 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.